[android-components](../../../index.md) / [mozilla.components.feature.addons.ui](../../index.md) / [UnsupportedAddonsAdapter](../index.md) / [UnsupportedAddonViewHolder](./index.md)

# UnsupportedAddonViewHolder

`class UnsupportedAddonViewHolder : ViewHolder` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/ui/UnsupportedAddonsAdapter.kt#L101)

A view holder for displaying unsupported add-on items.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UnsupportedAddonViewHolder(view: <ERROR CLASS>, iconView: <ERROR CLASS>, titleView: <ERROR CLASS>, removeButton: <ERROR CLASS>)`<br>A view holder for displaying unsupported add-on items. |

### Properties

| Name | Summary |
|---|---|
| [iconView](icon-view.md) | `val iconView: <ERROR CLASS>` |
| [removeButton](remove-button.md) | `val removeButton: <ERROR CLASS>` |
| [titleView](title-view.md) | `val titleView: <ERROR CLASS>` |
